Retrieve DPU Extension Service

View as Markdown

Retrieve a DPU Extension Service for the current Tenant by ID

DPU Extension Service must be owned by current Tenant.

Org must have a Tenant entity. User must have authorization role with TENANT_ADMIN suffix.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org
dpuExtensionServiceIdstringRequired
ID of the DPU Extension Service

Response

idstringOptionalRead-onlyformat: "uuid"
Unique identifier for the DPU Extension Service
namestringOptional
Name for the DPU Extension Service. Must be unique for a given Tenant
descriptionstring or nullOptional
Optional description for the DPU Extension Service
serviceTypeenumOptional
Type of the DPU Extension Service
siteIdstringOptionalformat: "uuid"
ID for the Site the DPU Extension Service belongs to
tenantIdstringOptionalformat: "uuid"
ID for the Tenant the DPU Extension Service belongs to
versionstring or nullOptional
Latest version of the DPU Extension Service
versionInfoobjectOptional
Details for the latest version of the DPU Extension Service
activeVersionslist of stringsOptional
Latest and past versions of this DPU Extension Service that have not been deleted and are available for deployment
statusenumOptional
Status of the DPU Extension Service
statusHistorylist of objectsOptional
History of the DPU Extension Service statuses
createddatetimeOptionalRead-only

Date/time when the DPU Extension Service was created

updateddatetimeOptionalRead-only

Date/time when the DPU Extension Service was last updated

Errors

403
Forbidden Error